Modules
POST
/app-api/v1/profile/email/verifyVerify email OTP and update email
Parameters
| Name | In | Required | Description |
|---|---|---|---|
| x-request-id | header | No | Optional correlation id. Generated when omitted. |
Request Body
VerifyEmailOtpDtoobject
otpstring
OTP received on pending temp_email (CI verifyEmailOtp)
Required: otp
Related Schemas
VerifyEmailOtpDto
otpstring
OTP received on pending temp_email (CI verifyEmailOtp)
Required: otp
Code samples
Generated from the current environment and the request configured in the Try-it panel.
curl -X POST 'https://app-api.crwilladmin.com/app-api/v1/profile/email/verify' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-H 'apptype: android' \
-H 'appver: 1.0.0' \
-H 'webver: 1.0.0' \
-H 'portalver: 1.0.0' \
-H 'x-request-id: 00000000-0000-4000-8000-000000000000' \
-d '{
"otp": "1234"
}' \